<?
    
    include './system/common.php';
    
 include './system/functions.php';
         
      include './system/user.php';

if(!$user) {
  header('location: /');
  exit;
}

$title = 'Барыга';    

include './system/h.php';  

$buy_complect = _string(_num($_GET['buy_complect']));

    if($buy_complect) {

    if(mysql_result(mysql_query('SELECT COUNT(*) FROM `inv` WHERE `place` = "0" AND `user` = "'.$user['id'].'" AND `equip` = "0"'),0) + 8 > 20) {
      header('location: /shop/');
    exit;
    }
    
    $complect = mysql_query('SELECT * FROM `complects` WHERE `id` = "'.$buy_complect.'"');
    $complect = mysql_fetch_array($complect);
    
    switch($complect['quality']) {
      case 1:
      $complect_quality_skill =   1;
       break;
      case 2:
      $complect_quality_skill =  10;
       break;
      case 3:
      $complect_quality_skill =  24;
       break;
      case 4:
      $complect_quality_skill =  48;
       break;
      case 5:
      $complect_quality_skill = 200;
       break;
    }
    
    if(!$complect OR $complect_quality_skill > $user['skill']) {
      header('location: /shop');
    exit;
    }
    
    $cost = 0;
    
    for($w = 1; $w < 9; $w++) {
      $shop = mysql_query('SELECT * FROM `shop` WHERE `id` = "'.$complect['w_'.$w].'"');
      $shop = mysql_fetch_array($shop);
    $cost +=$shop['cost'];
    }
    
    $cost -= round(($cost / 100) * 25);
    
    if($user['g'] < $cost) {
      header('location: /shop/');
    exit;
    }

    mysql_query('UPDATE `users` SET `g` = "'.($user['g'] - $cost).'" WHERE `id` = "'.$user['id'].'"');

    for($w = 1; $w < 9; $w++) {
    
      $shop = mysql_query('SELECT * FROM `shop` WHERE `id` = "'.$complect['w_'.$w].'"');
      $shop = mysql_fetch_array($shop);
    
    
      mysql_query('INSERT INTO `inv` (`user`,
                                      `item`,
                                     `bonus`,
                                      `_str`,
                                      `_vit`,
                                      `_agi`,
                                      `_def`) VALUES ("'.$user['id'].'",
                                                      "'.$shop['id'].'",
                                                   "'.$shop['bonus'].'",
                                                    "'.$shop['_str'].'",
                                                    "'.$shop['_vit'].'",
                                                    "'.$shop['_agi'].'",
                                                    "'.$shop['_def'].'")');
    
    }
    
      header('location: /inv/bag/');
    
    }






$buy_item = _string(_num($_GET['buy_item']));
if($buy_item) {

  $itemshop = mysql_fetch_array(mysql_query('SELECT * FROM `shop` WHERE `id` = \''.$buy_item.'\''));
  
  if(mysql_result(mysql_query('SELECT COUNT(*) FROM `inv` WHERE `place` = \'0\' AND `user` = \''.$user['id'].'\' AND `equip` = \'0\''),0) + 1 > 20) $errors[] = 'Ошибка, ваша сумка заполнена';
  
  if($itemshop['cost'] > $user['g']) $errors[] = 'Ошибка, нехватает <img src=\'/images/icon/g.png\' alt=\'*\'/> '.($itemshop['cost'] - $user['g']).' золота<div class=\'separator\'></div><a href=\'/trade/\' class=\'button\'>Купить</a>';  
  
  if($errors) {
      
        echo '<div class=\'content\' align=\'center\'>';
        
        foreach($errors as $error) {
          
          echo $error.'<br/>';
          
        }
      
        echo '</div>
<div class=\'line\'></div>';
      
  }
  else
  {

    mysql_query('UPDATE `users` SET `g` = `g` - '.$itemshop['cost'].' WHERE `id` = \''.$user['id'].'\'');
  
    mysql_query('INSERT INTO `inv` (`user`,
                                    `item`,
                                  `quality`,
                                   `bonus`,
                                    `_str`,
                                    `_vit`,
                                    `_agi`,
                                    `_def`,
                                   `place`) VALUES (\''.$user['id'].'\',
                                                \''.$itemshop['id'].'\',
                                           \''.$itemshop['quality'].'\',
                                             \''.$itemshop['bonus'].'\',
                                              \''.$itemshop['_str'].'\',
                                              \''.$itemshop['_vit'].'\',
                                              \''.$itemshop['_agi'].'\',
                                              \''.$itemshop['_def'].'\',
                                                                  \'0\')');

    header('location: /inv/bag/');
  
  }
  
}

echo '<div class=\'title\'>'.$title.'</div>
<div class=\'line\'></div>';

$quality = _string(_num($_GET['quality']));
if($quality) {

  if($quality == 1 && $user['skill'] < 1 OR $quality == 2 && $user['skill'] < 10 OR $quality == 3 && $user['skill'] < 24 OR $quality == 4 && $user['skill'] < 48 OR $quality == 5 && $user['skill'] < 200) {
    
      header('location: /shop/');
      exit;
    
  }

  $q = mysql_query('SELECT * FROM `complects` WHERE `quality` = \''.$quality.'\'');    
  while($row = mysql_fetch_array($q)) {

    echo '<div class=\'list\'>
  <li><a href=\'/complect/'.$row['id'].'/\'><img src=\'/images/icon/quality/'.$row['quality'].'.png\' alt=\'*\'/> '.$row['name'].'</a></li>
  <div class=\'content\' align=\'center\'>
  </div>
</div>';
      
  }

  echo '<div class=\'list\'>
  <li class=\'no_b\'><a href=\'/shop/\'><img src=\'/images/icon/equip.png\' alt=\'*\'/> Барыга</a></li>
</div>';

}
else
{
 
  echo '<div class=\'content\' align=\'center\'>
  <img src=\'/images/town/shop.png\' alt=\'*\'/><br>Ну чё? По какому вопросу?
</div>
<div class=\'line\'></div>';

  /*if($user['skill'] > 199) {

    echo '<div class=\'content\'>
  <img src=\'/images/icon/quality/5.png\'/> <a href=\'/complect/5/\'><font color=\'#909090\'>Легендарный</font></a><br/>
  <small><small>Бицуха: <img src=\'/images/icon/skill.png\' alt=\'*\'/> 200</small></small>
</div>
<div class=\'line\'></div>';

  }

  if($user['skill'] > 47) {

    echo '<div class=\'content\'>
  <img src=\'/images/icon/quality/4.png\'/> <a href=\'/complect/4/\'><font color=\'#f06000\'>Авторитетный</font></a><br/>
  <small><small>Бицуха: <img src=\'/images/icon/skill.png\' alt=\'*\'/> 48</small></small>
</div>
<div class=\'line\'></div>';

  }

  if($user['skill'] > 23) {
    
    echo '<div class=\'content\'>
  <img src=\'/images/icon/quality/3.png\'/> <a href=\'/complect/3/\'><font color=\'#c060f0\'>Блатной</font></a><br/>
  <small><small>Бицуха: <img src=\'/images/icon/skill.png\' alt=\'*\'/> 24</small></small>
</div>
<div class=\'line\'></div>';

  }*/

  if($user['skill'] > 9) {

    echo '<div class=\'content\'>
  <img src=\'/images/icon/quality/2.png\'/> <a href=\'/complect/2/\'><font color=\'#6090c0\'>Новый</font></a><br/>
  <small><small>Бицуха: <img src=\'/images/icon/skill.png\' alt=\'*\'/> 10</small></small>
</div>
<div class=\'line\'></div>';

  }

  if($user['skill'] > 0) {

    echo '<div class=\'content\'>
  <img src=\'/images/icon/quality/1.png\'/> <a href=\'/complect/1/\'><font color=\'#60c030\'>Обычный</font></a><br/>
  <small><small>Бицуха: <img src=\'/images/icon/skill.png\' alt=\'*\'/> 1</small></small>
</div>
<div class=\'line\'></div>';

  }

  echo '<div class=\'content\'>
  <img src=\'/images/icon/skill.png\' alt=\'*\'/> Бицуха: '.$user['skill'].'</div>';

}
  
include './system/f.php';

?>